curl --request PATCH \
--url https://api.ngrok.com/event_subscriptions/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'ngrok-version: <ngrok-version>' \
--data '
{
"id": "<string>",
"metadata": "<string>",
"description": "<string>",
"sources": [
{
"type": "<string>"
}
],
"destination_ids": [
"<string>"
]
}
'import requests
url = "https://api.ngrok.com/event_subscriptions/{id}"
payload = {
"id": "<string>",
"metadata": "<string>",
"description": "<string>",
"sources": [{ "type": "<string>" }],
"destination_ids": ["<string>"]
}
headers = {
"ngrok-version": "<ngrok-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'ngrok-version': '<ngrok-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
id: '<string>',
metadata: '<string>',
description: '<string>',
sources: [{type: '<string>'}],
destination_ids: ['<string>']
})
};
fetch('https://api.ngrok.com/event_subscriptions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"uri": "<string>",
"created_at": "<string>",
"metadata": "<string>",
"description": "<string>",
"sources": [
{
"type": "<string>",
"uri": "<string>"
}
],
"destinations": [
{
"id": "<string>",
"uri": "<string>"
}
]
}Update
Update an Event Subscription.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Unique identifier for this Event Subscription.
Body
Unique identifier for this Event Subscription.
Arbitrary customer supplied information intended to be machine readable. Optional, max 4096 chars.
Arbitrary customer supplied information intended to be human readable. Optional, max 255 chars.
Sources containing the types for which this event subscription will trigger
Show child attributes
Show child attributes
A list of Event Destination IDs which should be used for this Event Subscription.
Response
Update an Event Subscription.
Unique identifier for this Event Subscription.
URI of the Event Subscription API resource.
When the Event Subscription was created (RFC 3339 format).
Arbitrary customer supplied information intended to be machine readable. Optional, max 4096 chars.
Arbitrary customer supplied information intended to be human readable. Optional, max 255 chars.
Sources containing the types for which this event subscription will trigger
Show child attributes
Show child attributes
Destinations to which these events will be sent
Show child attributes
Show child attributes
Was this page helpful?